Edit Cluster Config

Edit Cluster Config

Api to edit cluster config

Request
URI
PUT
https://{server}/hybridity/api//infra/k8s/cluster/{clusterId}/configurations
COPY
Path Parameters
string
clusterId
Required

clusterId


Request Body

edit cluster node pool

clusterConfigurations of type(s) application/json
Required
{
    "cni": [
        {
            "name": "string"
        }
    ],
    "csi": [
        {
            "name": "string"
        }
    ],
    "kubernetesVersion": "string",
    "tools": [
        {
            "name": "string",
            "version": "string"
        }
    ],
    "systemSettings": [
        {
            "name": "string",
            "properties": {
                "host": "string",
                "port": 0,
                "protocol": "string"
            }
        }
    ]
}
cni
Optional

cni

csi
Optional

csi

string
kubernetesVersion
Optional

kubernetesVersion

tools
Optional

tools

systemSettings
Optional

systemSettings

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully edited cluster config.

Returns inline_response_200 of type(s) application/json
{
    "id": "string"
}
string
id
Optional

id